Efnisyfirlit
Atriðaskrá 🔎︎

# QBColor Function

Returns the RGB color code of the color passed as a color value through an older MS-DOS based programming system.

### Syntax:

QBColor (ColorNumber As Integer)

### Return value:

Long

### Parameters:

ColorNumber: Any integer expression that specifies the color value of the color passed from an older MS-DOS based programming system.

ColorNumber can be assigned the following values:

0 : Svartur

1 : Blár

2 : Grænn

3 : Blágrænn

4 : Rauður

5 : Fjólublár

6 : Gulur

7 : Hvítur

8 : Grár

9 : Ljósblár

10 : Ljósgrænn

11 : Ljósblár

12 : Ljósrauður

13 : Ljósflólublár

14 : Ljósgulur

15 : Skærhvítur

This function is used only to convert from older MS-DOS based BASIC applications that use the above color codes. The function returns a long integer value indicating the color to be used in the LibreOffice IDE.

### Error codes:

5 Ógilt kall á stefju

### Example:

    Sub ExampleQBColor
    Dim iColor As Integer
    Dim sText As String
        iColor = 7
        sText = "RGB= " & Red(QBColor( iColor) ) & ":" & Blue(QBColor( iColor) ) & ":" & Green(QBColor( iColor) )
        MsgBox stext,0,"Color " & iColor
    End Sub